Skip to main content
POST
Start an OTP Verification Session

Authorizations

Client-ID
string
header
required

Your UgaText Client-ID (e.g. uga_...). Accepted header aliases: X-Client-ID, or combined in Authorization: Bearer : / X-API-Key: :.

Client-Secret
string
header
required

Your UgaText Client-Secret (e.g. sk_live_...). Accepted header alias: X-Client-Secret.

Body

application/json
phone_number
string
required

Destination phone number in Uganda (+256), Kenya (+254), or DR Congo (+243). Use +256700000000, +254700000000, or +243810000000 for deterministic free sandbox testing.

Example:

"+256700000000"

service_id
string

Optional Verify Service ID. Defaults to your account Default Phone Verification service when omitted.

Example:

"default"

external_reference
string
Example:

"user_reg_9841"

Response

OTP session started